import argparse
import asyncio
import logging
import pathlib

import pnpdevice.server

LOGGER = logging.getLogger(__name__)

def main():
	parser = argparse.ArgumentParser()
	parser.add_argument("-c", "--config", default="/etc/pnpdevice/config.toml", type=pathlib.Path, help="The config file to use.")
	parser.add_argument("-s", "--simulate", action="store_true", help="When present, simulate the state of the relays")
	parser.add_argument("-v", "--verbose", action="store_true", help="Enable verbose logging")
	args = parser.parse_args()

	logging.basicConfig(level=logging.DEBUG if args.verbose else logging.INFO)

	if args.simulate:
		relays = pnpdevice.relays.RelaysFake(args.config)
	else:
		relays = pnpdevice.relays.RelaysFake(args.config)
		#relays = pnpdevice.relays.RelaysReal(args.config)
	pnpdevice.server.run(relays)
